//----------------------------------------------------------------------------------------
// MMacsBug.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		----- R11 -----
		06/26/96	mdr		Install release marker.  Scope many globals.  Change TRUE/FALSE/NULL.
		----- R10 -----
		03/04/96	gjc		[1327098] Remove unused InitUxxx calls and Includes
		----- 3.3 -----
		----- 3.3b1 -----
		 4/06/95	srf		Regroup Universal code initialization.
*/

// MacsBug

#ifndef __UMACSBUGAPPLICATION__
#include "UMacsBugApplication.h"
#endif

// MacApp


#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

// Generate universal code
#pragma processor 68000


//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
#pragma segment Main

void main ()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();									// Initialize the printing gear
	
	TMacsBugApplication* aMacsBugApplication = new TMacsBugApplication;	// Allocate application object
	aMacsBugApplication->IMacsBugApplication();		//	Initialize the object
	aMacsBugApplication->Run();						//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MMacsBug.cp

#pragma segment Inline
